# ISBlockRestoreIndicesF90

Restores an index set to a usable state after a call to ISBlockGetIndicesF90().

### Synopsis

    ISBlockRestoreIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

### Input Parameters

| x | - index set
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

ierr -error code

### Example of Usage

        PetscScalar, pointer xx_v(:)
        ....
        call ISBlockGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISBlockRestoreIndicesF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers

### See Also

ISBlockGetIndicesF90(), ISGetIndices(), ISRestoreIndices(), ISRestoreIndicesF90()

Level:intermediate
Location:src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex3f90.F.html